org.apache.ignite.internal.processors.query

## Class ColumnInformation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.ColumnInformation

    public class ColumnInformation
    extends Object

Information about table column.

### Constructor Summary

Constructors
Constructor and Description
`ColumnInformation(int ordinalPosition, String schemaName, String tblName, String colName, Class<?> fieldCls, boolean nullable, Object dfltVal, int precision, int scale, boolean affinityCol)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `affinityColumn()`
`int` `columnId()`
`String` `columnName()`
`Object` `defaultValue()`
`boolean` `equals(Object o)`
`Class<?>` `fieldClass()`
`int` `hashCode()`
`boolean` `nullable()`
`int` `precision()`
`int` `scale()`
`String` `schemaName()`
`String` `tableName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ColumnInformation

    public ColumnInformation(int ordinalPosition,
                             String schemaName,
                             String tblName,
                             String colName,
                             Class<?> fieldCls,
                             boolean nullable,
                             Object dfltVal,
                             int precision,
                             int scale,
                             boolean affinityCol)

Parameters:
  `ordinalPosition` - Ordinal column position.
  `schemaName` - Schema name.
  `tblName` - Table name.
  `colName` - Column name.
  `fieldCls` - Field class.
  `nullable` - Nullable.
  `dfltVal` - Default value.
  `precision` - Precision for a column or -1 if not applicable.
  `scale` - Scale for a column or -1 if not applicable.

### Method Detail

#### columnId

    public int columnId()

Returns:
  Column id.

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### columnName

    public String columnName()

Returns:
  Column name.

#### fieldClass

    public Class<?> fieldClass()

Returns:
  Class of column type.

#### nullable

    public boolean nullable()

Returns:
  `true` For nullabe column

#### defaultValue

    public Object defaultValue()

Returns:
  Default value for column or `null` in case dafault value wasn't set

#### precision

    public int precision()

Returns:
  Precision.

#### scale

    public int scale()

Returns:
  Scale.

#### affinityColumn

    public boolean affinityColumn()

Returns:
  `true` For affinity column.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020